Bug 1081849 - (CVE-2014-0151) CVE-2014-0151 ovirt-engine: cross-site request forgery (CSRF)
CVE-2014-0151 ovirt-engine: cross-site request forgery (CSRF)
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140317,repor...
: Security
Depends On: 1081903 1081905 1081906
Blocks: 1103966
  Show dependency treegraph
 
Reported: 2014-03-28 01:19 EDT by David Jorm
Modified: 2016-12-04 15:39 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A Cross-Site Request Forgery (CSRF) flaw was found in the oVirt REST API. A remote attacker could provide a specially crafted web page that, when visited by a user with a valid REST API session, would allow the attacker to trigger calls to the oVirt REST API.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2014-03-28 01:19:00 EDT
The oVirt REST API is vulnerable to Cross-Site Request Forgery (CSRF) attacks. A remote attacker could provide a specially-crafted web page that, when visited by a user with a valid REST API session, would allow the attacker to trigger calls to the oVirt REST API.
Comment 1 David Jorm 2014-03-28 03:27:03 EDT
Upstream bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1077441
Comment 3 David Jorm 2014-03-28 03:39:37 EDT
Created ovirt-engine tracking bugs for this issue:

Affects: fedora-all [bug 1081906]
Comment 4 Juan Hernández 2014-04-02 10:21:35 EDT
Note that the same vulnerability affects the oVirt backend/GUI, as an attacker can also craft a request for the GWT RPC servlet using the same method.
Comment 14 errata-xmlrpc 2015-02-11 12:59:48 EST
This issue has been addressed in the following products:

  RHEV Manager version 3.5

Via RHSA-2015:0158 https://rhn.redhat.com/errata/RHSA-2015-0158.html

Note You need to log in before you can comment on or make changes to this bug.